"""===============================================================
با فرض اینکه قبلاً عناصر ارایه ۶۰ عنصری A ذخیره شده و به صورت صعودی
نگهداری می شود و عناصر آرایه ۶۰ عنصری B نیز ذخیره شده و به صورت
نزولی نگهداری می شود، منطق برنامه ای را طراحی کنید که با حفظ عناصر
آرایه های A , B یک آرایه مرکب صعودی ۱۲۰ عنصری به نام C بسازد
==============================================================="""

A = [1,2,5,7,9,12]
B = [57,46,20,17,13,8,3]
C = []

a = 0
b = len(B)-1
count = 0
while count < (len(A) + len(B)):
    if a >= len(A):
        C.append(B[b])
        b -= 1
    elif b < 0:
        C.append(A[a])
        a+=1
    elif A[a] > B[b]:
        C.append(B[b])
        b-=1
    else:
        C.append(A[a])
        a += 1
    count+=1
print(C)
